#********************************************************************************
echo Starting install of <package> ...                   # start the installation

_chown() { chown -f $1 $2 || ERRCHOWN=1 ; }

# folders defined by configure
PREFIX="$DESTDIR""QPREFIX"
BINDIR="$DESTDIR""QBINDIR"
ETCDIR="$DESRDIR""QETCDIR"
LIBDIR="$DESTDIR""QLIBDIR"
MANDIR="$DESTDIR""QPREFIX/man"

USR=QUSR
GRP=QGRP
# Install user(s) and group(s)
mkUsrGrp() { return; }            # placeholder for user/group functions
[ -f ac-mkusrgrp ] && mkUsrGrp
[ $(type -pa `head -1 ac-pwlockusr | cut -d' ' -f1`) ] &&
  USRLOCKCMD=`head -1 ac-pwlockusr` && $USRLOCKCMD $USR

# directories
HOMEDIR="$DESTDIR""QHOMEDIR"
[ -d $HOMEDIR ] || mkdir -p -m 0750 $HOMEDIR
chmod 01750 "$HOMEDIR"
_chown $USR.$GRP $HOMEDIR

[ -d "$BINDIR" ] || mkdir -pv "$BINDIR"
[ -d "$LIBDIR" ] || mkdir -pv "$LIBDIR"
# the data dir should (have to) be in qemud's home always
mkdir -pv -m 3775 "$DATDIR"; _chown "$USR"."$GRP" "$DATDIR"

# executables
#cp -pv <target>   "$BINDIR"; _chown 0."$GRP" "$BINDIR"/<target>

symInstall

# config files:

# man pages
manInstall

# optional

# delete files which are removed from package (silently)
#rm -f <oldfile>

echo -e "\033[1m ... finished!\033[0m"
[ "$ERRCHOWN" = "1" ] && printf "\033[93m%s\033[0m\n" \
  "Warning: ownership of some files was not set! (root privileges required)"
